Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03647 Graphics Minor Always Jan 5, 2010, 18:02 May 9, 2010, 16:38
Tester abelardator2 View Status Public Platform MAMEUI
Assigned To hap Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved Driver vendetta.cpp
Version 0.136 Fixed in Version 0.138 Build 64-bit
Summary 03647: All games in vendetta.c: Graphical error in the intro scene of the game.
Description Graphical error in the introduction of the game, when you see the 4 boys and girl, girl disappears, and is not an effect of disappearance of the girl.
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version 0.129u1
Affected Sets / Systems All games in vendetta.c
Attached Files
png file icon 0000.png (13,808 bytes) Jan 5, 2010, 18:02
png file icon 0001.png (14,993 bytes) Jan 5, 2010, 18:02
png file icon 0002.png (14,800 bytes) Jan 5, 2010, 18:02
png file icon 0003.png (15,326 bytes) Jan 5, 2010, 18:03
png file icon 0004.png (14,414 bytes) Jan 5, 2010, 18:03
png file icon 0005.png (14,724 bytes) Jan 5, 2010, 18:03
png file icon 0006.png (13,805 bytes) Jan 5, 2010, 18:04
png file icon 0007.png (13,429 bytes) Jan 5, 2010, 18:04
png file icon 0008.png (12,120 bytes) Jan 5, 2010, 18:05
png file icon a.png (153,287 bytes) Jan 5, 2010, 19:31
png file icon b.png (154,838 bytes) Jan 5, 2010, 19:31
png file icon c.png (117,246 bytes) Jan 5, 2010, 19:31
png file icon d.png (159,648 bytes) Jan 5, 2010, 19:32
Relationships
has duplicate 03033Resolvedhap vendetta: Sprite priority problem in the 3rd stage 
Notes
4
User avatar
No.05408
abelardator2
Tester
Jan 5, 2010, 18:09
For the images that I posted I used the 0.113 version, and works well in this version.
User avatar
No.05409
Tafoid
Administrator
Jan 5, 2010, 18:38
Confirmed and found/added regression version. Thanks for catching this.
User avatar
No.05410
abelardator2
Tester
Jan 5, 2010, 19:33
I uploaded 4 pictures to other graphics errors.
User avatar
No.05475
robiza
Developer
Jan 10, 2010, 18:06
before aaron gfx rewrite (r4151 - Major drawgfx cleanup, global removal, and feature enhancements) priorities was correct

for a.png (153,287 bytes) 2010-01-05 19:31 (the start of the second level) the priority's effect is handled in this way:
there's a black rectangular sprite (pri=0xe) and the enemy sprite (pri=0x6) in the same place; the layer have pri=0x8
the enemy is behind the black rectangle, the enemy is in front of the layer and the black ractangle is behind the layer

before r4151 we get the right effect, after r4151 we get the bug; not sure if now the behaviour of the core is like the design (in this case we need to modify the video code)